﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 04-08-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-08-2014
// ***********************************************************************
// <copyright file="AxlePosition.cs" >
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/// <summary>
/// The DataModels namespace includes more primitive model classes, than the
/// Models namespace. It includes classes as Line3D, Clash3D, Path etc. The 
/// similarity with the differens datamodels are that they contains information
/// about data for use in the other models.
/// </summary>
namespace DynamicRelaxationClashVerification.Models.DataModels
{
    /// <summary>
    /// Enum for axle position on the trolley.
    /// If the trolley doesn't have axle, like a stretcher,
    /// the center position is used. Center is default. 
    /// 
    /// The axle can have three different positions:
    /// Front, Rear and Center. The spesific position
    /// of the axle is also disided by the AxleCenterLength
    /// preoperty.
    /// </summary>
    public enum AxlePosition
    {
        /// <summary>
        /// Front position
        /// </summary>
        Front, 
        /// <summary>
        /// Rear position
        /// </summary>
        Rear, 
        /// <summary>
        /// Center position
        /// </summary>
        Center
    }
}
