﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 03-17-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-08-2014
// ***********************************************************************
// <copyright file="Line3D.cs">
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Autodesk.Navisworks.Api;

/// <summary>
/// The DataModels namespace includes more primitive model classes, than the
/// Models namespace. It includes classes as Line3D, Clash3D, Path etc. The 
/// similarity with the differens datamodels are that they contains information
/// about data for use in the other models.
/// </summary>
namespace DynamicRelaxationClashVerification.Models.DataModels
{
    /// <summary>
    /// Class Line3D for representing a line, given two points; v1 and v2.
    /// </summary>
    public class Line3D
    {
        /// <summary>
        /// Gets or sets the v1.
        /// </summary>
        /// <value>The v1.</value>
        public Point3D V1 { get; set; }
        /// <summary>
        /// Gets or sets the v2.
        /// </summary>
        /// <value>The v2.</value>
        public Point3D V2 { get; set; }
        /// <summary>
        /// Initializes a new instance of the <see cref="Line3D"/> class.
        /// </summary>
        /// <param name="v1">The v1.</param>
        /// <param name="v2">The v2.</param>
        public Line3D(Point3D v1, Point3D v2)
        {
            V1 = v1;
            V2 = v2;
        }
    }
}
