﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 04-08-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-16-2014
// ***********************************************************************
// <copyright file="ProgressListener.cs" company="">
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/// <summary>
/// The Models namespace includes all the models and interfaces in the MVVM arcitechture.
/// </summary>
namespace DynamicRelaxationClashVerification.Models
{
    /// <summary>
    /// Interface ProgressListener, for all classes that wants to listen to 
    /// changes in a observable progress.
    /// </summary>
    public interface ProgressListener
    {
        /// <summary>
        /// Method called on then changes in the observable progress occures. 
        /// </summary>
        /// <param name="observableProgress">The observable progress.</param>
        /// <param name="min">The minimum.</param>
        /// <param name="max">The maximum.</param>
        /// <param name="value">The value.</param>
        void ProgressChanged(ObservableProgress observableProgress, double min, double max ,double value);
    }
}
