﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 04-29-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-29-2014
// ***********************************************************************
// <copyright file="ResultListener.cs" company="">
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Autodesk.Navisworks.Api;

/// <summary>
/// The Models namespace includes all the models and interfaces in the MVVM arcitechture. 
/// </summary>
namespace DynamicRelaxationClashVerification.Models
{
    /// <summary>
    /// Interface ResultListener
    /// </summary>
    public interface ResultListener
    {
        /// <summary>
        /// Results the changed.
        /// </summary>
        /// <param name="observableResult">The observable result.</param>
        /// <param name="velocityPoint">The velocity point.</param>
        /// <param name="accelerationPoint">The acceleration point.</param>
        /// <param name="forcePoint">The force point.</param>
        void ResultChanged(ObservableProgress observableResult, Point2D velocityPoint, Point2D accelerationPoint, Point2D forcePoint);
    }
}
