﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 03-19-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-08-2014
// ***********************************************************************
// <copyright file="DynamicClashVerificationAddin.cs">
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************

using System;
using System.Linq;
using Autodesk.Navisworks.Api.Plugins;

/// <summary>
/// The NwPlugin namespace contains classes needed to create a
/// plugin application in Navisworks.
/// </summary>
namespace DynamicRelaxationClashVerification.NwPlugin
{
    /// <summary>
    /// Class DynamicClashVerificationAddin.
    /// </summary>
   [Plugin("DynamicClash.DynamicClashAddin", "MHRK",
      DisplayName = "DynamicClashAddin",
      ToolTip = "Dynamic Clash Dock Pane Plugin")]
   public class DynamicClashVerificationAddin : AddInPlugin
   {
       /// <summary>
       /// Gets or sets the dynamic clash verification plugin.
       /// </summary>
       /// <value>The dynamic clash verification plugin.</value>
       /// <exception cref="System.NotImplementedException"></exception>
       public DynamicClashVerificationPlugin DynamicClashVerificationPlugin
       {
           get
           {
               throw new System.NotImplementedException();
           }
           set
           {
           }
       }

       /// <summary>
       /// This method is called when the plugin is executed
       /// </summary>
       /// <param name="parameters">The parameters.</param>
       /// <returns>System.Int32.</returns>
       /// <exception cref="System.InvalidOperationException">Invalid when running using Automation</exception>
      public override int Execute(params string[] parameters)
      {
         if (Autodesk.Navisworks.Api.Application.IsAutomated)
         {
            throw new InvalidOperationException("Invalid when running using Automation");
         }

         //Find the plugin
         PluginRecord pr =
            Autodesk.Navisworks.Api.Application.Plugins.FindPlugin("DynamicClash.DynamicClashPlugin.MHRK");

         PluginRecord pr2 =
             Autodesk.Navisworks.Api.Application.Plugins.FindPlugin("DCVRenderPlugin.MHRK");

         if (pr != null && pr is DockPanePluginRecord && pr.IsEnabled)
         {
            //check if it needs loading
            if (pr.LoadedPlugin == null)
            {
               pr.LoadPlugin();
            }

            DockPanePlugin dpp = pr.LoadedPlugin as DockPanePlugin;
            if (dpp != null)
            {
               //switch the Visible flag
               dpp.Visible = !dpp.Visible;
            }
         }
         return 0;
      }
   }
}
