﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 03-19-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-08-2014
// ***********************************************************************
// <copyright file="DynamicClashVerificationPlugin.cs">
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************

using System.Windows.Forms.Integration;
using Autodesk.Navisworks.Api.Plugins;
using DynamicRelaxationClashVerification.Views;

/// <summary>
/// The NwPlugin namespace contains classes needed to create a
/// plugin application in Navisworks.
/// </summary>
namespace DynamicRelaxationClashVerification.NwPlugin
{
    #region DynamicRelaxationClashVerification

    /// <summary>
    /// Class DynamicClashVerificationPlugin.
    /// </summary>
    [Plugin("DynamicClash.DynamicClashPlugin", "MHRK",
      DisplayName = "DynamicClashPlugin",
      ToolTip = "Dynamic Clash Docking Pane Plugin")]
   [DockPanePlugin(465, 500, FixedSize=true)]
   public class DynamicClashVerificationPlugin : DockPanePlugin
   {
       /// <summary>
       /// Gets or sets the control view.
       /// </summary>
       /// <value>The control view.</value>
       /// <exception cref="System.NotImplementedException"></exception>
        public ControlView ControlView
        {
            get
            {
                throw new System.NotImplementedException();
            }
            set
            {
            }
        }

        /// <summary>
        /// Called to tell the plugin to create it's pane. The pane will be resized as specified by the  
        /// <see cref="T:Autodesk.Navisworks.Api.Plugins.DockPanePluginAttribute">DockPanePluginAttribute</see>.
        /// Should be overriden in conjunction with 
        /// <see cref="M:Autodesk.Navisworks.Api.Plugins.DockPanePlugin.DestroyControlPane(System.Windows.Forms.Control)">DestroyControlPane</see>.
        /// </summary>
        /// <returns>A Control that contains the pane content</returns>
      public override System.Windows.Forms.Control CreateControlPane()
      {
         //create an ElementHost
         ElementHost eh = new ElementHost();

         //assign the control
         eh.AutoSize = true;
         eh.Child = new ControlView();

         eh.CreateControl();

         //return the ElementHost
         return eh;
      }

      /// <summary>
      /// Called to tell the plugin to destroy it's pane
      /// Should be overriden in conjunction with 
      /// <see cref="M:Autodesk.Navisworks.Api.Plugins.DockPanePlugin.CreateControlPane">CreateControlPane</see>.
      /// </summary>
      /// <param name="pane">The pane to destroy</param>
      public override void DestroyControlPane(System.Windows.Forms.Control pane)
      {
         pane.Dispose();
      }
   }
   #endregion
}
