﻿using System;
using System.Linq;
using Autodesk.Navisworks.Api.Plugins;

namespace DynamicRelaxationClashVerification.NavisworksPlugin
{
   [Plugin("DynamicClash.DynamicClashAddin", "MHRK",
      DisplayName = "DynamicClashAddin",
      ToolTip = "Dynamic Clash Dock Pane Plugin")]
   public class DynamicClashVerificationAddin : AddInPlugin
   {
      public override int Execute(params string[] parameters)
      {
         if (Autodesk.Navisworks.Api.Application.IsAutomated)
         {
            throw new InvalidOperationException("Invalid when running using Automation");
         }

         //Find the plugin
         PluginRecord pr =
            Autodesk.Navisworks.Api.Application.Plugins.FindPlugin("DynamicClash.DynamicClashPlugin.MHRK");

         if (pr != null && pr is DockPanePluginRecord && pr.IsEnabled)
         {
            //check if it needs loading
            if (pr.LoadedPlugin == null)
            {
               pr.LoadPlugin();
            }

            DockPanePlugin dpp = pr.LoadedPlugin as DockPanePlugin;
            if (dpp != null)
            {
               //switch the Visible flag
               dpp.Visible = !dpp.Visible;
            }
         }
         return 0;
      }
   }
}
